#!/bin/bash
#

# build all supporting packages for art

source ${PRODUCTS}/setup
flvr=`ups flavor`
OS=`uname`

sourcedir=${PRODUCTS}/cetbuildtools/v1_11_04a/source
builddir=${PRODUCTS}/cetbuildtools/v1_11_04a/build-${flvr}


if [ -z ${flvr} ]
then
   echo "ERROR: could not determine flavor for this platform"
   echo "       something is very wrong"
   exit 1
fi

# start with a clean build directory
if [ -d ${builddir} ]
then
   rm -rf ${builddir} 
fi
mkdir -p ${builddir}

# setup gcc v4_5_1
setup gcc v4_5_1
gccver=`gcc --version | head -1 | cut -f3 -d" "`
if [ ${gccver} = "4.5.1" ]
then
  echo " OK - gcc version is ${gccver}"
else
  echo "ERROR: wrong gcc version ${gccver}"
  exit 1
fi

# setup cmake
setup cmake


#build in order

echo " ---------------------------------------------- "
echo "build cetbuildtools"
mkdir -p ${builddir}/cetbuildtools
if [ ! -d ${builddir}/cetbuildtools ]
then
   echo "ERROR: failed to create ${builddir}/cetbuildtools"
   exit 1
fi
cd ${builddir}/cetbuildtools
source ${sourcedir}/cetbuildtools/ups/setup_for_development
cmake -DCMAKE_INSTALL_PREFIX=${PRODUCTS} ${sourcedir}/cetbuildtools
make install 

echo " ---------------------------------------------- "


exit 0
