#!/bin/bash
#
#   USAGE:  tarCET.sh <product-dir> [source]

if [ $# -lt 1 ]
then
   echo "USAGE:  `basename ${0}` <product-dir> [source]"
   exit 1
fi

PRODUCTS=${1}
extras=${2}

if [ ! -d ${PRODUCTS} ]
then
   echo "USAGE:  `basename ${0}` <product-dir> [source]"
   exit 1
fi

source ${PRODUCTS}/setup
flvr=`ups flavor`

version=v1_11_04a
dotversion=1.11.04a

set -x

cd ${PRODUCTS}

if [ "${extras}" = "source" ]
then
tar czf cetbuildtools-${dotversion}-source.tar.gz \
   cetbuildtools/${version}/build*.sh \
   cetbuildtools/${version}/tar*.sh \
   cetbuildtools/${version}/source
fi

tar czf cetbuildtools-${dotversion}-noarch.tar.gz \
   cetbuildtools/${version}.version/NULL_ \
   cetbuildtools/${version}/bin  \
   cetbuildtools/${version}/example  \
   cetbuildtools/${version}/Modules  \
   cetbuildtools/${version}/templates  \
   cetbuildtools/${version}/ups

exit 0
